Ubuntu

Backups cannot be started through the GUI

Reported by 323232 on 2010-03-28
216
This bug affects 39 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Medium
Unassigned
sbackup
Medium
Unassigned
sbackup (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

Binary package hint: sbackup

Steps to reproduce:

1: Install Simple backup from Software Centre
 [search "Backup", Simple Backup Config and Simple Backup Restore are listed there, installing *-config installs both.]
2: Select from System > Administration > Simple Backup Config
3: Setup the config/use existing config
4: Select "Backup Now"

A dialogue window pops up mentioning :

"A backup run is initiated in the background. The process id is: NNNN."

Expected:
System backup is started and backup is done

What happens:
- No backup occurs.

TEST CASE:On a fully up-to-date Lucid Sbackup starts the Backup properties dialogue. Settings are OK and saved. When I start the Backup Now option I get the popup stating that the backup process has started. However, no backup job is started (goes directly into Zombie state).

Confirmed for 32bit and 64bit Lucid versions.

Regression potential:No potential for regression since the worst case is already present (not running on Lucid).

course of action for Lucid:
incorporate fix from stable branch (https://code.launchpad.net/~nssbackup-team/sbackup/0.10)

ProblemType: BugDistroRelease: Ubuntu 10.04
Package: sbackup 0.10.5ubuntu2
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-17-generic x86_64
NonfreeKernelModules: fglrx wl
Architecture: amd64
Date: Sun Mar 28 15:51:14 2010InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bashSourcePackage: sbackup

323232 (323232) wrote :
323232 (323232) wrote :

Lost the xsessions error on libglade due to todays libgnome update but sbackup is still not working......

323232 (323232) wrote :

One step further
Sbackup in not working from the GUI.
But when I give the command sudo sbackupd i get a perfect backup (fitting the in the GUI defined and saved preferences).

323232 (323232) wrote :

xsessions error is there again:
/usr/sbin/simple-backup-config:90: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated self.widgets = gtk.glade.XML(self.conf.get("places", "prefix") + "/share/sbackup/simple-backup-config.glade")
eprecated

323232 (323232) wrote :

Installed today nssbackup, a fork or succesor for sbackup (https://launchpad.net/nssbackup). Only did a backup and it worked great. Nssbackup might be a good replacement for sbackup in the repos.........
Had to remove sbackup so unsubscribing myself in relation to this bug

Ron S (ronshere-people) wrote :

Same problem here on 32bit system. Worked before upgrade but now just says process started but nothing happens.
Running in terminal shows same error as stated above.

candtalan (aeclist) wrote :

have just upgraded with new install of 10.04 Lucid and immediately find sbackup is not working, not from the gui anyway. Other comments suggest it works from command line I will try that.

Simple Backup is an important app. I trust this can be fixed soon please?

KillerBob (t1000) wrote :

as far as I know sbackup is discontinued, instead use nssbackup https://launchpad.net/nssbackup
it's compatible with sbackup image files

I noticed this too, GUI doesn't work and changing configuration settings in it (the GUI) seems impossible too. On the other hand, running "sudo sbackupd" seems to be working, as before mentioned.

duplicate by me = 575184. 32 bit version, full install of 10.04. Otherwise seems identical problem.

Charles Opondo (charlesopondo) wrote :

Same problem here: after upgrading from Karmic to Lucid, I can start the sbackup GUI, but when I attempt to run a backup I get the message that a backup process has began, but it only appears briefly in the task list then disappears. No backup is created. Running sbackupd from the terminal creates a backup, however.

Eric Fournie (ef-adressebidon) wrote :

Same here. The GUI does not work, but sbackupd seems to be ok.

Changed in sbackup (Ubuntu):
status: New → Confirmed
assignee: nobody → Jean-Peer Lorenz (peer.loz)
Changed in sbackup:
status: New → Confirmed
importance: Undecided → Critical
Changed in sbackup (Ubuntu):
assignee: Jean-Peer Lorenz (peer.loz) → nobody
Changed in sbackup:
assignee: nobody → Jean-Peer Lorenz (peer.loz)
summary: - sbackup not working
+ After upgrade to Lucid backups cannot be started through the GUI
Changed in sbackup:
status: Confirmed → Fix Committed
description: updated

Patch against branch in Ubuntu/Lucid that fixes this bug.

tags: added: regression
Jean-Peer Lorenz (peer.loz) wrote :

Full diff against branch in Ubuntu/Lucid (incl. changelog).

Jean-Peer Lorenz (peer.loz) wrote :

Updated source package for Lucid.

Jean-Peer Lorenz (peer.loz) wrote :
Jean-Peer Lorenz (peer.loz) wrote :
Jean-Peer Lorenz (peer.loz) wrote :
tags: added: verification-needed
removed: regression
Changed in sbackup:
assignee: Jean-Peer Lorenz (peer.loz) → nobody
Lluis (lluis-paris) wrote :

Jean-Peer,
I'm not sure if it could be help, but in http://ubuntu-virginia.ubuntuforums.org/showthread.php?p=9287012 we have a "provisional" solution.
it work from the terminal ~$ sudo sbackupd

I have tested in lucid 64 bits, and works nice

wrekced (wrekced) wrote :

sudo sbackupd works in Lucid 32 bits as well.

Thanks!

Thanks for the message.
Because I am a less-experienced user, perhaps you could state that more
fully. In the system window I run those commands. Then what? How to I tell
it what to retrieve and where to put it etc, all the stuff specified in the
GUI interface?

Lars

On Fri, Jun 11, 2010 at 6:53 PM, wrekced <email address hidden> wrote:

> sudo sbackupd works in Lucid 32 bits as well.
>
> Thanks!
>
> --
> After upgrade to Lucid backups cannot be started through the GUI
> https://bugs.launchpad.net/bugs/550261
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Simple Backup: Fix Committed
> Status in “sbackup” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: sbackup
>
> After upgrade to Lucid backups cannot be started through the GUI
>
> TEST CASE:
> On a fully up-to-date Lucid Sbackup starts the Backup properties dialogue.
> Settings are OK and saved. When I start the Backup Now option I get the
> popup stating that the backup process has started. However, no backup job is
> started (goes directly into Zombie state).
>
> Confirmed for 32bit and 64bit Lucid versions.
>
> Regression potential:
> No potential for regression since the worst case is already present (not
> running on Lucid).
>
> course of action for Lucid:
> incorporate fix from stable branch (
> https://code.launchpad.net/~nssbackup-team/sbackup/0.10<https://code.launchpad.net/%7Enssbackup-team/sbackup/0.10>
> )
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: sbackup 0.10.5ubuntu2
> ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-17-generic x86_64
> NonfreeKernelModules: fglrx wl
> Architecture: amd64
> Date: Sun Mar 28 15:51:14 2010
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
> PackageArchitecture: all
> ProcEnviron:
> LANG=en_US.utf8
> SHELL=/bin/bash
> SourcePackage: sbackup
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/sbackup/+bug/550261/+subscribe
>

Note from the Not So Simple Backup-Team (maintainers of the successor of sbackup and somehow in charge for sbackup):

Our resources are very limited and we concentrate on Nssbackup rather the old-fashioned Sbackup. Unfortunately, it's quite difficult to get a fix for this bug into Lucid or to push nssbackup into the repositories. I'm unexperienced in the whole stable packaging and SRU process, so if anybody could help with the SRU process - don't hesitate.

Simple Backup is no longer maintained by its original developer. However, there is an advanced successor of Simple Backup: the Not So Simple Backup Suite which is actively developed. We've just released a stable version. If you want to use an application like Simple Backup in Lucid, please try nssbackup instead. The project is located here: https://launchpad.net/nssbackup. The PPA providing the latest version can be found here: https://edge.launchpad.net/~nssbackup-team/+archive/ppa.

HTH and sorry for any inconvenience.
Jean-Peer (member of the nssbackup team)

Frank Gross (f-gross) wrote :

Lars, use the GUI to configure what is to be stored and where etc., and don't forget to save your settings (just hit the button). Then you open a console/terminal and start a backup by typing

#sudo sbackupd

and hitting enter. Your're asked for your password. That's all. The program will read the settings which you previously set using the GUI and perform the backup.

HTH, Frank

Blempis (mikko-lempola) wrote :

This bug is known for a while, the solution to fix is known as well, but don't you think somebody should make an update packet?

Blempis [2010-06-21 20:31 -0000]:
> This bug is known for a while, the solution to fix is known as well, but
> don't you think somebody should make an update packet?

It is waiting for feedback in -proposed, see above.

PPPPPPPPLLLLLLLLLLLLEEEEEEEEEEEEEAAAAAAAAAAAASSSSSSSSSSEEEEEEEEEEEEEEEEEEEE Fix this. Every time I upgrade it seems to break something. Please fix this.

JohnZollo (john-zollo) wrote :

It's true, the method Lluis mentioned (from http://ubuntu-virginia.ubuntuforums.org/showthread.php?p=9477790#post9477790) works great! It's a simple change to a python script and it works as expected. Well done. Thanks Canonical for another bug not fixed!!!

Sincerely,
John Zollo

Vish (vish) on 2010-08-04
description: updated
tags: added: ftdau
summary: - After upgrade to Lucid backups cannot be started through the GUI
+ Backups cannot be started through the GUI
Changed in hundredpapercuts:
importance: Undecided → Medium
milestone: none → maverick-round-10-sc-ftdau
status: New → Confirmed
Changed in sbackup (Ubuntu):
importance: Undecided → Medium
Vish (vish) wrote :

Subscribing sponsors to upload Jean-Peer Lorenz's changes to -proposed , so that testing can be done and verified.

Hi, sorry I'm not expert enough at the moment, but willing to learn. I've tried altering my repository to show 'proposed' & the checking for updates, but couldn't find anything relating to sbackup. Can you point me in the right direction & I'll test it out.
Nick

Vish (vish) wrote :

@Nick Allen : Due to some confusion the fix has not yet been uploaded.
The sponsors are subscribed now , it should be uploaded soon.

Stefano Rivera (stefanor) wrote :

Hi I'm a sponsor. The SRU policy says that bugs should be fixed in maverick before we do an SRU.

Does someone want to prepare a debdiff for maverick?

Jean-Peer: Review on your SRU debdiff:
* SRU debdiffs should be minimal, please don't modify AUTHORS, copyright or the shebang (although we both now that neither of those will have an impact)

Changed in sbackup (Ubuntu):
status: Confirmed → Incomplete
Changed in sbackup (Ubuntu Lucid):
status: New → Confirmed
importance: Undecided → Medium
Stefano Rivera (stefanor) wrote :

err, forgot to finish the review:
sbackup (0.10.5ubuntu3) lucid; urgency=high
that should be:
sbackup (0.10.5ubuntu2.1) lucid-proposed; urgency=low

Jean-Peer Lorenz (peer.loz) wrote :

@Stefano Rivera: Thanks for your valueable comment and your review. I'll prepare a debdiff taking your review in account ASAP. Related to Maverick: I'm preparing just in the moment a new release of the whole sbackup package containing many bugfixes and feature implementations we did in nssbackup. Any help/hints to get this release (0.11) into Maverick before the feature freeze next week. This bug is fixed in 0.11.

@Vish: I'd be happy if you could give help/hints.

Thanks.

Aigars Mahinovs (aigarius) wrote :

The patch looks good to me and fixes the issue. Please fast-track it into Ubuntu and I will upload it to Debian shortly as well. The fix is a one-liner in a Python file so there should not be too much problem with any kind of diff you need.

Stefano Rivera (stefanor) wrote :

> Any help/hints to get this release (0.11) into Maverick before the feature freeze next week.

Perform a merge as soon it's been uploaded into Debian. If this is after the freeze, be sure to include a feature freeze exception explanation (i.e. that it closes important bugs) and it'll be accepted.
https://wiki.ubuntu.com/UbuntuDevelopment/Merging

> Please fast-track it into Ubuntu.

Righto uploaded to lucid-proposed. Up to the SRU team now.

Changed in sbackup (Ubuntu Lucid):
status: Confirmed → Fix Committed
Bilal Akhtar (bilalakhtar) wrote :

Since the new upstream version fixes issue, I am ready to package the new upstream version.
Jean,
In case you need help in packaging, don't hesitate to contact me on email address: bilalakhtar AT ubuntu DOT com

Accepted sbackup into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Vish (vish) wrote :

Installing sbackup 0.10.5ubuntu2.1 from the -proposed repo fixes this issue.

tags: added: verification-done
removed: verification-needed
Lluis (lluis-paris) wrote :

Thanks to all for your time,
I have update the package from Lucid-Proposed and test it, in lucid 64bits works nice.
Thanks again for solve the issue
Regards
Lluis

Ron S (ronshere-people) wrote :

New package works fine now on Lucid 32bit on my p.c.
Thanks for the effort in fixing this problem, nice work.

Lucid-proposed fixed it for me, too.

It's also working with sbackup from the proposed repo (10.04 64 bit)!

Thanks ;)

2010/8/12 Holstener Liesel <email address hidden>:
> Lucid-proposed fixed it for me, too.
>
> --
> Backups cannot be started through the GUI
> https://bugs.launchpad.net/bugs/550261
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Joan Tur

Changed in sbackup (Ubuntu):
status: Incomplete → Fix Committed
Changed in hundredpapercuts:
status: Confirmed → Fix Committed
Vish (vish) wrote :

@Jean-Peer Lorenz: The fix has been committed only for Lucid, the lucid-proposed upload has been verified and will be uploaded to lucid updates soon.

This is still a problem in Maverick, and the bug still needs a debdiff for maverick.

Or has the version 0.11 been uploaded into Maverick? Since it is a new version , it needs a FFe as we are past the FeatureFreeze for Maverick, and again if you need help with getting this done, do let us know. Bilal has offered to get this packaged for maverick if help is needed.
[i'v tried searching for bugs requesting a FFe for simple backup and have found none, do let us know if you have filed one already.]

Or if this is too much work , this bug would at minimum need a debdiff for maverick for the sponsors to upload, else it would remain a problem in Maverick too.

Changed in sbackup (Ubuntu):
status: Fix Committed → Incomplete
Changed in hundredpapercuts:
status: Fix Committed → Triaged
Martin Pitt (pitti) wrote :

Please upload to maverick as soon as possible. As per SRU policy bugs have to be fixed in maverick first, so this can't go to -updates yet.

Bilal Akhtar (bilalakhtar) wrote :

Rather than dilly-dallying over uploading to maverick, I am now going to package 0.11 of sbackup. However, since this package is maintained in debian, should I get the new version there or is it good to get it directly in Ubuntu?

Stefano Rivera (stefanor) wrote :

> should I get the new version there or is it good to get it directly in Ubuntu?

Debian freeze means that a new version there would have to go into experimental (it probably wouldn't be granted a freeze exception on their side). I'd say do an upload straight into ubuntu, and open a new version bug in Debian's BTS

Bilal Akhtar (bilalakhtar) wrote :

This uploading task shall be done by me.

Changed in hundredpapercuts:
assignee: nobody → Bilal Akhtar (bilalakhtar)
status: Triaged → In Progress
Jean-Peer Lorenz (peer.loz) wrote :

@Bilal: I'm going to release sbackup 0.11 today. Please be patient for a while. I'll contact you if the source is available and can be packaged.

Bilal Akhtar (bilalakhtar) wrote :

@Jean I don't have any problem in allowing you to package . Well, I hadn't begun the actual task of packaging. I was in a hurry because we needed an FFe and we are getting more and more far away from FF, which might make it difficult to get an FFe.

Go ahead.

Bilal Akhtar (bilalakhtar) wrote :

The SRU is getting stale in -proposed. Stefano, Why not upload the debdiff to maverick, at least for now, until we release the new upstream version?

Changed in sbackup (Ubuntu):
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sbackup - 0.10.5+nmu1ubuntu2

---------------
sbackup (0.10.5+nmu1ubuntu2) maverick; urgency=low

  * Use subprocess instead of os.spawnl to launch the backup. Thanks to
    Jean-Peer Lorenz (LP: #550261)
 -- Stefano Rivera <email address hidden> Thu, 19 Aug 2010 11:14:55 +0200

Changed in sbackup (Ubuntu):
status: Fix Committed → Fix Released
Vish (vish) wrote :

Thanks Stefano Rivera for uploading to Maverick.

Changed in hundredpapercuts:
assignee: Bilal Akhtar (bilalakhtar) → nobody
status: In Progress → Fix Released
Jean-Peer Lorenz (peer.loz) wrote :

Sorry for being late. Finally, new stable release SBackup 0.11 is available.

@Bilal: Could you provide some hints for the required procedure to get the release into Maverick? FFe?

Attached is a source package for maverick. The source code is located here (without debian files): https://launchpad.net/sbackup/+download

What next?

Jean-Peer Lorenz (peer.loz) wrote :
Bilal Akhtar (bilalakhtar) wrote :

Thanks for the release. Since this bug is fixed now, a new bug needs to be filed for getting the new upstream release into maverick. We would need an FFe as well. I am filing the bug right now.

Bilal Akhtar (bilalakhtar) wrote :

Jean,
The release number shouldn't have ~maverick1 in it. It should just be 0.11.0ubuntu1 .

Bilal Akhtar (bilalakhtar) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sbackup - 0.10.5ubuntu2.1

---------------
sbackup (0.10.5ubuntu2.1) lucid-proposed; urgency=low

  * Use subprocess instead of os.spawnl to launch the backup. (LP: #550261)
 -- Jean-Peer Lorenz <email address hidden> Wed, 12 May 2010 17:51:25 +0200

Changed in sbackup (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in sbackup:
status: Fix Committed → Fix Released
importance: Critical → Medium

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Lars

Lars Pedersen
AllianceBernstein Fixed Income
Washington D.C. Metro Area

Confirm that you know Lars Pedersen:
https://www.linkedin.com/e/-9tfoe5-hj6yq1if-m/isd/15019176006/EvMT9dlk/?hs=false&tok=0tMdt32jEUqRQ1

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/-9tfoe5-hj6yq1if-m/pLBCCKs5-CWSLx_0L1SZVt_5wnR02IQSVhe5V4-/goo/550261%40bugs%2Elaunchpad%2Enet/20061/I5000659864_1/?hs=false&tok=0xlb9OjgQUqRQ1

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers